#vider la mmoire
rm(list=ls())

#changer de dossier
setwd("C:/Users/Zatovo/Desktop/demo")

#charger les donnes
library(readxl)
D <- readxl::read_excel("life_insurance.xlsx",sheet=1)
str(D)

#transformer les "chr" en factor
D <- data.frame(lapply(D,factor))
str(D)

#partitionner en train-test
DTrain <- D[D$sample=="train",colnames(D)!="sample"]
DTest <- D[D$sample=="test",colnames(D)!="sample"]

#dimensions
print(dim(DTrain))
print(dim(DTest))

#librairie RWeka
library(RWeka)
rules <- JRip(target ~ ., data = DTrain, control = Weka_control(N=500))
print(rules)

#prdiction en test
pred <- predict(rules,newdata=DTest)

#matrice de confusion
mc <- table(DTest$target,pred)
print(mc)

#erreur
err <- 1 - sum(diag(mc))/sum(mc)
print(err)
